module_version: 1.0

var:
  - name: paths
    default:
      - /var/log/elasticsearch/*_index_search_slowlog.log
      - /var/log/elasticsearch/*_index_indexing_slowlog.log
      - /var/log/elasticsearch/*_index_search_slowlog.json
      - /var/log/elasticsearch/*_index_indexing_slowlog.json
    os.darwin:
      - /usr/local/var/lib/elasticsearch/*_index_search_slowlog.log
      - /usr/local/var/lib/elasticsearch/*_index_indexing_slowlog.log
      - /usr/local/var/lib/elasticsearch/*_index_search_slowlog.json
      - /usr/local/var/lib/elasticsearch/*_index_indexing_slowlog.json
    os.windows:
      - c:/ProgramData/Elastic/Elasticsearch/logs/*_index_search_slowlog.log
      - c:/ProgramData/Elastic/Elasticsearch/logs/*_index_indexing_slowlog.log
      - c:/ProgramData/Elastic/Elasticsearch/logs/*_index_search_slowlog.json
      - c:/ProgramData/Elastic/Elasticsearch/logs/*_index_indexing_slowlog.json

ingest_pipeline:
  - ingest/pipeline.yml
  - ingest/pipeline-plaintext.yml
  - ingest/pipeline-json.yml
input: config/slowlog.yml
